Subject: bug#40594: closed (Re: bug#40594: A mistake in Emacs manuals)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 13 Apr 2020 08:56:02 +0000

Your bug report

#40594: A mistake in Emacs manuals

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40594: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40594
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40594: A mistake in Emacs manuals
From: Eli Zaretskii <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 13 Apr 2020 11:55:28 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 13 Apr 2020 15:46:30 +0800
> From: <[email-masked]>
> 
> When I read the An Introduction to Programming in Emacs Lisp, I found a mistake in let Prevents
> Confusion, which is node in section 6 of Chapter 3.
> 
> At the end of the third paragraph, it said, "in Emacs Lisp, scoping is dynamic, not lexical"
> 
> But in version 24.1, Lexical binding was introduced to Emacs.

Thanks, I fixed this.

Subject: A mistake in Emacs manuals
From: <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Mon, 13 Apr 2020 15:46:30 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When I read the An Introduction to Programming in Emacs Lisp, I found a mistake in let Prevents Confusion, which is node in section 6 of Chapter 3.
At the end of the third paragraph, it said, "in Emacs Lisp, scoping is dynamic, not lexical"
But in version 24.1, Lexical binding was introduced to Emacs.
I think that needs to be made clear.